import { ResultInfo } from "@/common/methods/request";
import { getAddress } from "@/services/go/adress";

/**
 * 获取地址信息
 */
export function getAddressInfo(provinceId: number, cityId: number, districId: number): string {
    const { getProvinceName, getCityName, getDistrictName } = getAddress();
    return getProvinceName(provinceId) + getCityName(cityId) + getDistrictName(districId);
}


/************** 接口相关提示 **************** /
 *
 */
// 仓库信息请求 操作类型 1 新增 2 修改
export const warehouseApplyRequestResultMsg = new Map<number, ResultInfo>([
    [1, ['新增仓库信息成功', '新增仓库信息失败:']],
    [2, ['修改仓库信息成功', '修改仓库信息失败:']],
])